
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake, desktop, perception, ros-ign-gazebo-demos, simulation }:
buildRosPackage {
  pname = "ros-humble-desktop-full";
  version = "0.10.0-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/variants-release/archive/release/humble/desktop_full/0.10.0-1.tar.gz";
    name = "0.10.0-1.tar.gz";
    sha256 = "e1a0cff26fd8dd8f0929ad347a894f7cf26e3c4e58693ef64d832ea7be481b95";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  propagatedBuildInputs = [ desktop perception ros-ign-gazebo-demos simulation ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Provides a &quot;batteries included&quot; experience to novice users.";
    license = with lib.licenses; [ asl20 ];
  };
}
