
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-copyright, ament-index-python, python3Packages, rclpy, xacro }:
buildRosPackage {
  pname = "ros-humble-launch-param-builder";
  version = "0.1.1-r1";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/launch_param_builder-release/archive/release/humble/launch_param_builder/0.1.1-1.tar.gz";
    name = "0.1.1-1.tar.gz";
    sha256 = "0da920fde3039254d060f300cf7c357b8f20f82a012b657f5f974641d2729f4d";
  };

  buildType = "ament_python";
  checkInputs = [ ament-copyright python3Packages.pytest ];
  propagatedBuildInputs = [ ament-index-python python3Packages.pyyaml rclpy xacro ];

  meta = {
    description = "Python library for loading parameters in launch files";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
