
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, actionlib-msgs, catkin, cl-utils, message-runtime, roslisp }:
buildRosPackage {
  pname = "ros-noetic-actionlib-lisp";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/actionlib_lisp/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "3ad06a3019c974fc17d03fbd10acf685604ed06da334f43b6bc1f37984e3287a";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ actionlib-msgs cl-utils message-runtime roslisp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "actionlib_lisp is a native implementation of the famous actionlib
   in Common Lisp. It provides a client and a simple server.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
