
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, gtest, rosunit }:
buildRosPackage {
  pname = "ros-noetic-bota-signal-handler";
  version = "0.6.1-r2";

  src = fetchurl {
    url = "https://gitlab.com/botasys/bota_driver-release/-/archive/release/noetic/bota_signal_handler/0.6.1-2/archive.tar.gz";
    name = "archive.tar.gz";
    sha256 = "bed277c9b97f13f4616253b489ad3f4c1a02e96134f5fee8b4cf5b3353777901";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ gtest rosunit ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Contains a static signal handling helper class.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
