
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, canopen-master, catkin, class-loader, rosunit }:
buildRosPackage {
  pname = "ros-noetic-canopen-402";
  version = "0.8.5-r1";

  src = fetchurl {
    url = "https://github.com/ros-industrial-release/ros_canopen-release/archive/release/noetic/canopen_402/0.8.5-1.tar.gz";
    name = "0.8.5-1.tar.gz";
    sha256 = "b9480b8db5b584f817caf494d54634dc3deeaa75026096c6de3760c662ed5110";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ rosunit ];
  propagatedBuildInputs = [ canopen-master class-loader ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This implements the CANopen device profile for drives and motion control. CiA(r) 402";
    license = with lib.licenses; [ lgpl3Only ];
  };
}
