
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, boost, catkin, class-loader, rosunit, socketcan-interface }:
buildRosPackage {
  pname = "ros-noetic-canopen-master";
  version = "0.8.5-r1";

  src = fetchurl {
    url = "https://github.com/ros-industrial-release/ros_canopen-release/archive/release/noetic/canopen_master/0.8.5-1.tar.gz";
    name = "0.8.5-1.tar.gz";
    sha256 = "96664493e18cf66e5e6e53e7c0de4036d72fe3543885f757b63a046642b21f2b";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ rosunit ];
  propagatedBuildInputs = [ boost class-loader socketcan-interface ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "CiA(r) CANopen 301 master implementation with support for interprocess master synchronisation.";
    license = with lib.licenses; [ lgpl3Only ];
  };
}
