
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, sbcl }:
buildRosPackage {
  pname = "ros-noetic-cl-utils";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/cl_utils/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "f143fbb695f2cc2015ed3a3d45b781eedef18fc8b3101ffd4ba0bdb1dd605380";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ sbcl ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Common Lisp utility libraries";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
