
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cob-android-msgs, cob-android-resource-server, cob-android-script-server, cob-android-settings }:
buildRosPackage {
  pname = "ros-noetic-cob-android";
  version = "0.1.11-r1";

  src = fetchurl {
    url = "https://github.com/ipa320/cob_android-release/archive/release/noetic/cob_android/0.1.11-1.tar.gz";
    name = "0.1.11-1.tar.gz";
    sha256 = "e3743c5fd25917330d868aef75376c5bf56a600679a65356cba881ad8dd21ee1";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ cob-android-msgs cob-android-resource-server cob-android-script-server cob-android-settings ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "cob_android package provides tools for android apps operation.";
    license = with lib.licenses; [ asl20 ];
  };
}
