
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, message-filters, nodelet, pluginlib, roscpp, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-cob-cam3d-throttle";
  version = "0.6.20-r1";

  src = fetchurl {
    url = "https://github.com/ipa320/cob_perception_common-release/archive/release/noetic/cob_cam3d_throttle/0.6.20-1.tar.gz";
    name = "0.6.20-1.tar.gz";
    sha256 = "a5da7ca9b1e883d314d39a47a695296224cd8fcc7af5ee902a6d654414bc5e43";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ message-filters nodelet pluginlib roscpp sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "cob_cam3d_throttle: only for Trottel";
    license = with lib.licenses; [ asl20 ];
  };
}
