
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cob-navigation-global, cob-supported-robots, gmapping, roslaunch }:
buildRosPackage {
  pname = "ros-noetic-cob-mapping-slam";
  version = "0.6.15-r1";

  src = fetchurl {
    url = "https://github.com/ipa320/cob_navigation-release/archive/release/noetic/cob_mapping_slam/0.6.15-1.tar.gz";
    name = "0.6.15-1.tar.gz";
    sha256 = "cb09dbf1141e3c8d33f2254853d3aad801c28670594736c387c7864d75224e75";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ cob-supported-robots roslaunch ];
  propagatedBuildInputs = [ cob-navigation-global gmapping ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "cob_mapping_slam holds launch files for running SLAM using the <a href=\"http://ros.org/wiki/gmapping\">gmapping</a> package.";
    license = with lib.licenses; [ asl20 ];
  };
}
