
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, robot-state-publisher, roslaunch, roslib, rviz, urdf, xacro }:
buildRosPackage {
  pname = "ros-noetic-dbw-fca-description";
  version = "1.3.3-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/dbw_fca_ros-release/archive/release/noetic/dbw_fca_description/1.3.3-1.tar.gz";
    name = "1.3.3-1.tar.gz";
    sha256 = "dadcd627ad83c6ae1f0474b597802cd7025afedcb3ffa2afc022ad4c55de436c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslaunch roslib rviz ];
  propagatedBuildInputs = [ robot-state-publisher roslaunch urdf xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "URDF and meshes describing the Chrysler Pacifica.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
