
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, message-generation, message-runtime, rosbag-migration-rule, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-dbw-mkz-msgs";
  version = "1.6.5-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/dbw_mkz_ros-release/archive/release/noetic/dbw_mkz_msgs/1.6.5-1.tar.gz";
    name = "1.6.5-1.tar.gz";
    sha256 = "59801136aef47ffc141f4d344249295b731ac17660c7030afa876b825679baf2";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ geometry-msgs message-runtime rosbag-migration-rule std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Drive-by-wire messages for the Lincoln MKZ";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
