
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, dbw-mkz-can, dbw-mkz-description, dbw-mkz-joystick-demo, dbw-mkz-msgs }:
buildRosPackage {
  pname = "ros-noetic-dbw-mkz";
  version = "1.6.5-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/dbw_mkz_ros-release/archive/release/noetic/dbw_mkz/1.6.5-1.tar.gz";
    name = "1.6.5-1.tar.gz";
    sha256 = "d0ada6fbd38623ed48c3f51de5e9d84334d2ec936b801f29fdc42b1cfeab3a16";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ dbw-mkz-can dbw-mkz-description dbw-mkz-joystick-demo dbw-mkz-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Drive-by-wire interface to the Dataspeed Inc. Lincoln MKZ DBW kit";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
