
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, dingo-description, joint-state-publisher-gui, roslaunch, rqt-console, rqt-gui, rqt-robot-monitor, rviz }:
buildRosPackage {
  pname = "ros-noetic-dingo-viz";
  version = "0.1.2-r2";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/dingo_desktop-release/archive/release/noetic/dingo_viz/0.1.2-2.tar.gz";
    name = "0.1.2-2.tar.gz";
    sha256 = "ff0e2dcf9179732c86e27f3a8b74aada8f4dcd1e18f4e828a405d7684f46be74";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslaunch ];
  propagatedBuildInputs = [ dingo-description joint-state-publisher-gui rqt-console rqt-gui rqt-robot-monitor rviz ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Visualization launchers and helpers for Dingo.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
