
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, exotica-core, exotica-python, roscpp }:
buildRosPackage {
  pname = "ros-noetic-exotica-cartpole-dynamics-solver";
  version = "6.2.0-r1";

  src = fetchurl {
    url = "https://github.com/ipab-slmc/exotica-release/archive/release/noetic/exotica_cartpole_dynamics_solver/6.2.0-1.tar.gz";
    name = "6.2.0-1.tar.gz";
    sha256 = "baa1d842aa76a78e30f715e34ee6c7875ed6fbe1c303f7da57967671c6bef9bb";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ exotica-python ];
  propagatedBuildInputs = [ exotica-core roscpp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Cartpole dynamics solver plug-in for Exotica";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
