
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, python3Packages }:
buildRosPackage {
  pname = "ros-noetic-fuse-doc";
  version = "0.4.2-r1";

  src = fetchurl {
    url = "https://github.com/locusrobotics/fuse-release/archive/release/noetic/fuse_doc/0.4.2-1.tar.gz";
    name = "0.4.2-1.tar.gz";
    sha256 = "f4bffab22c2f7c9098058c2edf9b44482885aa8dced53a4e6c625dc8107eb699";
  };

  buildType = "catkin";
  buildInputs = [ catkin python3Packages.catkin-pkg ];
  nativeBuildInputs = [ catkin python3Packages.catkin-pkg ];

  meta = {
    description = "The fuse_doc package provides documentation and examples for the fuse package.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
