
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cv-bridge, geometry-msgs, grid-map-core, grid-map-cv, grid-map-filters, grid-map-loader, grid-map-msgs, grid-map-octomap, grid-map-ros, grid-map-rviz-plugin, grid-map-visualization, gtest, octomap-msgs, roscpp, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-grid-map-demos";
  version = "1.6.4-r1";

  src = fetchurl {
    url = "https://github.com/anybotics/grid_map-release/archive/release/noetic/grid_map_demos/1.6.4-1.tar.gz";
    name = "1.6.4-1.tar.gz";
    sha256 = "9a0b3d43e260472efca22d3765271ebea46d797ff1436d41a671c2fbdc96cf3c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ gtest ];
  propagatedBuildInputs = [ cv-bridge geometry-msgs grid-map-core grid-map-cv grid-map-filters grid-map-loader grid-map-msgs grid-map-octomap grid-map-ros grid-map-rviz-plugin grid-map-visualization octomap-msgs roscpp sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Demo nodes to demonstrate the usage of the grid map library.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
