
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, hector-geotiff, hector-nav-msgs }:
buildRosPackage {
  pname = "ros-noetic-hector-geotiff-plugins";
  version = "0.5.2-r4";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_slam-release/archive/release/noetic/hector_geotiff_plugins/0.5.2-4.tar.gz";
    name = "0.5.2-4.tar.gz";
    sha256 = "a262122d12d80b717963890bb8ab61813e503c46152d9c170c665af49e230f1e";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ hector-geotiff hector-nav-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_geotiff_plugins contains plugins that extend geotiff maps generated by hector_geotiff.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
