
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, hector-sensors-description, hector-xacro-tools }:
buildRosPackage {
  pname = "ros-noetic-hector-models";
  version = "0.5.2-r1";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_models-release/archive/release/noetic/hector_models/0.5.2-1.tar.gz";
    name = "0.5.2-1.tar.gz";
    sha256 = "15db88e81f3da4f437d122add03fd519b2d123dce26277dac4eab14b2144d4cc";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ hector-sensors-description hector-xacro-tools ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_models contains (urdf) models of robots, sensors etc.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
