
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, message-generation, message-runtime, nav-msgs, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-hector-nav-msgs";
  version = "0.5.2-r4";

  src = fetchurl {
    url = "https://github.com/tu-darmstadt-ros-pkg-gbp/hector_slam-release/archive/release/noetic/hector_nav_msgs/0.5.2-4.tar.gz";
    name = "0.5.2-4.tar.gz";
    sha256 = "e4d5333e218e78929a4f1da4e468c2876507dd9a3e0fd51bec0a1a544874f45b";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  propagatedBuildInputs = [ geometry-msgs message-runtime nav-msgs std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "hector_nav_msgs contains messages and services used in the hector_slam stack.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
