
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, amcl, base-local-planner, catkin, dwa-local-planner, gmapping, map-server, move-base, navfn, roslaunch }:
buildRosPackage {
  pname = "ros-noetic-husky-navigation";
  version = "0.6.10-r1";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/husky-release/archive/release/noetic/husky_navigation/0.6.10-1.tar.gz";
    name = "0.6.10-1.tar.gz";
    sha256 = "60718d47589ac780a0d2bee85ca57c0f7ddf5599b828a6d1eb3ffd827a57ffe7";
  };

  buildType = "catkin";
  buildInputs = [ catkin roslaunch ];
  propagatedBuildInputs = [ amcl base-local-planner dwa-local-planner gmapping map-server move-base navfn ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Autonomous mapping and navigation demos for the Clearpath Husky";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
