
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, husky-gazebo }:
buildRosPackage {
  pname = "ros-noetic-husky-simulator";
  version = "0.6.10-r1";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/husky-release/archive/release/noetic/husky_simulator/0.6.10-1.tar.gz";
    name = "0.6.10-1.tar.gz";
    sha256 = "ea6d308ad7e4b0b5939f498ccd359935a86f2903c72002450068d3868304ccca";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ husky-gazebo ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Metapackage for Clearpath Husky simulation software";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
