
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roscpp, rosunit, urdf }:
buildRosPackage {
  pname = "ros-noetic-industrial-utils";
  version = "0.7.3-r1";

  src = fetchurl {
    url = "https://github.com/ros-industrial-release/industrial_core-release/archive/release/noetic/industrial_utils/0.7.3-1.tar.gz";
    name = "0.7.3-1.tar.gz";
    sha256 = "2925a8dd626167ea1bbefa502065157afffebebf3cb9a8cd4ff59de477537f8a";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ rosunit ];
  propagatedBuildInputs = [ roscpp urdf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Industrial utils is a library package that captures common funcitonality for the ROS-Industrial distribution.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
