
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, boost, catkin, diagnostic-msgs, diagnostic-updater, ixblue-ins-msgs, ixblue-stdbin-decoder, libpcap, nav-msgs, roscpp, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-ixblue-ins-driver";
  version = "0.1.5-r1";

  src = fetchurl {
    url = "https://github.com/ixblue/ixblue_ins_stdbin_driver-release/archive/release/noetic/ixblue_ins_driver/0.1.5-1.tar.gz";
    name = "0.1.5-1.tar.gz";
    sha256 = "e01d4b7c09ead8bde1bf548923c5a2c39991dd8a04dfba6c152b541cb0cd12d8";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ boost libpcap ];
  propagatedBuildInputs = [ boost diagnostic-msgs diagnostic-updater ixblue-ins-msgs ixblue-stdbin-decoder nav-msgs roscpp sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The iXblue_ins_driver package";
    license = with lib.licenses; [ mit ];
  };
}
