
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, jackal-msgs, jackal-viz }:
buildRosPackage {
  pname = "ros-noetic-jackal-desktop";
  version = "0.4.1-r2";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/jackal_desktop-release/archive/release/noetic/jackal_desktop/0.4.1-2.tar.gz";
    name = "0.4.1-2.tar.gz";
    sha256 = "d636082f7bdf8c02a67377d9aa3b33cf221facfc61d862ae60782af981f429ac";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ jackal-msgs jackal-viz ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Packages for working with Jackal from a ROS desktop.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
