
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, jackal-description, joint-state-publisher, joint-state-publisher-gui, roslaunch, rqt-console, rqt-gui, rqt-robot-monitor, rviz }:
buildRosPackage {
  pname = "ros-noetic-jackal-viz";
  version = "0.4.1-r2";

  src = fetchurl {
    url = "https://github.com/clearpath-gbp/jackal_desktop-release/archive/release/noetic/jackal_viz/0.4.1-2.tar.gz";
    name = "0.4.1-2.tar.gz";
    sha256 = "6fd4f7b75d837660d0465af311e2cd129c1237e747f21e812c11237e3536104e";
  };

  buildType = "catkin";
  buildInputs = [ catkin roslaunch ];
  propagatedBuildInputs = [ jackal-description joint-state-publisher joint-state-publisher-gui rqt-console rqt-gui rqt-robot-monitor rviz ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Visualization launchers and helpers for Jackal.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
