
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, eigen, geometry-msgs, mesh-msgs, tf }:
buildRosPackage {
  pname = "ros-noetic-mesh-msgs-transform";
  version = "1.1.0-r1";

  src = fetchurl {
    url = "https://github.com/uos-gbp/mesh-tools/archive/release/noetic/mesh_msgs_transform/1.1.0-1.tar.gz";
    name = "1.1.0-1.tar.gz";
    sha256 = "de93526223abf69b02a31e845bb95036c41110e147f4de0fbe40fc21b6d0030c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ eigen geometry-msgs mesh-msgs tf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Methods to transform mesh_msgs";
    license = with lib.licenses; [ bsd3 ];
  };
}
