
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin }:
buildRosPackage {
  pname = "ros-noetic-moveit-resources-fanuc-description";
  version = "0.8.3-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/moveit_resources-release/archive/release/noetic/moveit_resources_fanuc_description/0.8.3-1.tar.gz";
    name = "0.8.3-1.tar.gz";
    sha256 = "74b7f8ef32b06c6760228a408479d37e639c377bdd3ec57c1f71b2c08042391b";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Fanuc Resources used for MoveIt! testing";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
