
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cv-bridge, pcl, pcl-ros, roscpp, sensor-msgs, visualization-msgs }:
buildRosPackage {
  pname = "ros-noetic-multi-object-tracking-lidar";
  version = "1.0.4-r1";

  src = fetchurl {
    url = "https://github.com/praveen-palanisamy/multi_object_tracking_lidar-release/archive/release/noetic/multi_object_tracking_lidar/1.0.4-1.tar.gz";
    name = "1.0.4-1.tar.gz";
    sha256 = "934d72355b1e02337c0b9cb6ed42e43ed9bd6f4930277c8182f69251c8a14c59";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ cv-bridge pcl pcl-ros roscpp sensor-msgs visualization-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "ROS package for Multiple objects detection, tracking and classification from LIDAR scans/point-clouds";
    license = with lib.licenses; [ mit ];
  };
}
