
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roslint, rosunit }:
buildRosPackage {
  pname = "ros-noetic-nav-grid";
  version = "0.3.0-r2";

  src = fetchurl {
    url = "https://github.com/DLu/robot_navigation-release/archive/release/noetic/nav_grid/0.3.0-2.tar.gz";
    name = "0.3.0-2.tar.gz";
    sha256 = "9ac9d9c48aba901c90aba46248a52dbd06c7d0379dc08e54c2aea1375bb17bbc";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslint rosunit ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A templatized interface for overlaying a two dimensional grid on the world.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
