
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, nav-msgs, roscpp, sensor-msgs, tf }:
buildRosPackage {
  pname = "ros-noetic-nav2d-localizer";
  version = "0.4.3-r1";

  src = fetchurl {
    url = "https://github.com/skasperski/navigation_2d-release/archive/release/noetic/nav2d_localizer/0.4.3-1.tar.gz";
    name = "0.4.3-1.tar.gz";
    sha256 = "aba652974782ebc680b0a5d18ecee1a85de899cc0983c5078957febae191a32c";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs nav-msgs roscpp sensor-msgs tf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Wrapper around Particle Filter implementation.
    The SelfLocalizer can be used as library or as a ros-node.";
    license = with lib.licenses; [ gpl3Only ];
  };
}
