
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, actionlib, actionlib-msgs, catkin, geometry-msgs, pr2-common-action-msgs, pr2-controllers-msgs, roscpp, tf, urdf }:
buildRosPackage {
  pname = "ros-noetic-pr2-arm-move-ik";
  version = "0.0.12-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_common_actions-release/archive/release/noetic/pr2_arm_move_ik/0.0.12-1.tar.gz";
    name = "0.0.12-1.tar.gz";
    sha256 = "581d5308dc0fb1202eeb529ab4b9dd0b0228afa1f7a0fde9267631992aeb5a98";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ actionlib actionlib-msgs geometry-msgs pr2-common-action-msgs pr2-controllers-msgs roscpp tf urdf ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Move the pr2 arm using inverse kinematics";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
