
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ethercat-hardware, fingertip-pressure }:
buildRosPackage {
  pname = "ros-noetic-pr2-ethercat-drivers";
  version = "1.9.0-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_ethercat_drivers-release/archive/release/noetic/pr2_ethercat_drivers/1.9.0-1.tar.gz";
    name = "1.9.0-1.tar.gz";
    sha256 = "a5f9b21836a44729c9c169a59601d14be248abd6ffee90716e770e362e0b88b5";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ ethercat-hardware fingertip-pressure ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This stack contains drivers for the ethercat system and the peripherals
    that connect to it: motor control boards, fingertip sensors, texture
    projector, hand accelerometer.";
    license = with lib.licenses; [ bsdOriginal "GPL" ];
  };
}
