
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, ocean-battery-driver, power-monitor, pr2-power-board }:
buildRosPackage {
  pname = "ros-noetic-pr2-power-drivers";
  version = "1.1.10-r1";

  src = fetchurl {
    url = "https://github.com/pr2-gbp/pr2_power_drivers-release/archive/release/noetic/pr2_power_drivers/1.1.10-1.tar.gz";
    name = "1.1.10-1.tar.gz";
    sha256 = "49207b2ea4bf92d7ac759ae7bb42dfd4931840fd59631e754f5b2dbccaa12665";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ ocean-battery-driver power-monitor pr2-power-board ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Power drivers for the PR2 robot.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
