
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, qb-hand-control, qb-hand-description, qb-hand-gazebo, qb-hand-hardware-interface }:
buildRosPackage {
  pname = "ros-noetic-qb-hand";
  version = "3.0.3-r1";

  src = fetchurl {
    url = "https://bitbucket.org/qbrobotics/qbhand-ros-release/get/release/noetic/qb_hand/3.0.3-1.tar.gz";
    name = "3.0.3-1.tar.gz";
    sha256 = "53b09e175a8947e65300f51a4d69cb44ec4570ebfa28b0f7719ae3ed716361a9";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ qb-hand-control qb-hand-description qb-hand-gazebo qb-hand-hardware-interface ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "This package contains the ROS interface for qbrobotics® qbhand device.";
    license = with lib.licenses; [ bsd3 ];
  };
}
