
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roslaunch, xacro }:
buildRosPackage {
  pname = "ros-noetic-rc-visard-description";
  version = "3.3.2-r1";

  src = fetchurl {
    url = "https://github.com/roboception-gbp/rc_visard-release/archive/release/noetic/rc_visard_description/3.3.2-1.tar.gz";
    name = "3.3.2-1.tar.gz";
    sha256 = "a62f8f4a76e5815a134f1f95ceb64c95d9a91ceefa1ffec8108ebbf843c51a27";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  checkInputs = [ roslaunch ];
  propagatedBuildInputs = [ xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Visualization package for rc_visard";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
