
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, color-util, robot-nav-rviz-plugins, robot-nav-viz-demos }:
buildRosPackage {
  pname = "ros-noetic-robot-nav-tools";
  version = "0.3.0-r2";

  src = fetchurl {
    url = "https://github.com/DLu/robot_navigation-release/archive/release/noetic/robot_nav_tools/0.3.0-2.tar.gz";
    name = "0.3.0-2.tar.gz";
    sha256 = "fed2061296698ab2690bf54463010d6e6aa6d6f8f18282100eea75bc8957c9b9";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ color-util robot-nav-rviz-plugins robot-nav-viz-demos ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A collection of tools / accessories for the robot_navigation packages";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
