
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rosemacs, roslisp-repl, slime-ros, slime-wrapper }:
buildRosPackage {
  pname = "ros-noetic-ros-emacs-utils";
  version = "0.4.17-r1";

  src = fetchurl {
    url = "https://github.com/code-iai-release/ros_emacs_utils-release/archive/release/noetic/ros_emacs_utils/0.4.17-1.tar.gz";
    name = "0.4.17-1.tar.gz";
    sha256 = "da988791609e3862b3f42087395d9e21a435df3b40a66b9fa7ac3ca43acb73fa";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ rosemacs roslisp-repl slime-ros slime-wrapper ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A metapackage of Emacs utils for ROS.
    Only there for simplifying the release process.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
