
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, roslisp }:
buildRosPackage {
  pname = "ros-noetic-roslisp-utilities";
  version = "0.2.15-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roslisp_common-release/archive/release/noetic/roslisp_utilities/0.2.15-1.tar.gz";
    name = "0.2.15-1.tar.gz";
    sha256 = "782510286b4885dd7e7528c971068d50ca9e7d8363afebf2d199782d82fd8b26";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ roslisp ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Some utility functionality to interact with ROS using roslisp.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
