
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, message-generation, message-runtime, python3Packages, roslib, rospy, rosunit, std-msgs, std-srvs }:
buildRosPackage {
  pname = "ros-noetic-rospy-message-converter";
  version = "0.5.9-r1";

  src = fetchurl {
    url = "https://github.com/uos-gbp/rospy_message_converter-release/archive/release/noetic/rospy_message_converter/0.5.9-1.tar.gz";
    name = "0.5.9-1.tar.gz";
    sha256 = "d7b0cbafdd524f06928b315e1d5a079781999f34cc7cff4121f1ce56c82c9cf6";
  };

  buildType = "catkin";
  buildInputs = [ catkin message-generation ];
  checkInputs = [ python3Packages.numpy rosunit std-srvs ];
  propagatedBuildInputs = [ message-runtime roslib rospy std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Converts between Python dictionaries and JSON to rospy messages.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
