
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, boost, catkin, cpp-common }:
buildRosPackage {
  pname = "ros-noetic-rostime";
  version = "0.7.3-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/roscpp_core-release/archive/release/noetic/rostime/0.7.3-1.tar.gz";
    name = "0.7.3-1.tar.gz";
    sha256 = "9147416c5ab3b2593a22ae339ad7fe66630ac730431018352f4962f5f58d6e6b";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ boost cpp-common ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Time and Duration implementations for C++ libraries, including roscpp.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
