
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, python3Packages, roslib, rospy, rqt-gui, rqt-gui-py, sensor-msgs }:
buildRosPackage {
  pname = "ros-noetic-rqt-ground-robot-teleop";
  version = "1.4.2-r1";

  src = fetchurl {
    url = "https://github.com/JdeRobot/drones-release/archive/release/noetic/rqt_ground_robot_teleop/1.4.2-1.tar.gz";
    name = "1.4.2-1.tar.gz";
    sha256 = "dea8cd9bf3da1bf7f9539c1a63583fdf546cfac5e55133bdda90a9dd5d21e28d";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs python3Packages.rospkg roslib rospy rqt-gui rqt-gui-py sensor-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A common ground robot teleop interface for all ground robot exercises in the JdeRobot Robotics Academy";
    license = with lib.licenses; [ mit ];
  };
}
