
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, libftdi, roscpp, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-sainsmart-relay-usb";
  version = "0.0.4-r1";

  src = fetchurl {
    url = "https://github.com/DataspeedInc-release/sainsmart_relay_usb-release/archive/release/noetic/sainsmart_relay_usb/0.0.4-1.tar.gz";
    name = "0.0.4-1.tar.gz";
    sha256 = "5c1f7343e76f28546dc20762d166ea06b37a9090c845ade3eef101254c095503";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ libftdi roscpp std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "SainSmart USB relay driver controller";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
