
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, diagnostic-updater, dynamic-reconfigure, libusb1, robot-state-publisher, roscpp, roslaunch, sensor-msgs, xacro }:
buildRosPackage {
  pname = "ros-noetic-sick-tim";
  version = "0.0.18-r1";

  src = fetchurl {
    url = "https://github.com/uos-gbp/sick_tim-release/archive/release/noetic/sick_tim/0.0.18-1.tar.gz";
    name = "0.0.18-1.tar.gz";
    sha256 = "71305e0257c1d8c39788ae4e812ce7be881f0f993eaecd29d410aedd2440a067";
  };

  buildType = "catkin";
  buildInputs = [ catkin roslaunch ];
  propagatedBuildInputs = [ diagnostic-updater dynamic-reconfigure libusb1 robot-state-publisher roscpp sensor-msgs xacro ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A ROS driver for the SICK TiM and the SICK MRS 1000 laser scanners.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
