
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, cmake, doxygen, dynamic-graph-python, git, sot-core }:
buildRosPackage {
  pname = "ros-noetic-sot-tools";
  version = "2.3.5-r2";

  src = fetchurl {
    url = "https://github.com/stack-of-tasks/sot-tools-ros-release/archive/release/noetic/sot-tools/2.3.5-2.tar.gz";
    name = "2.3.5-2.tar.gz";
    sha256 = "c64b0c42c6e70468f454c85f0b4cf10162c716224148fad0909dc62e3de78698";
  };

  buildType = "cmake";
  buildInputs = [ cmake doxygen git ];
  propagatedBuildInputs = [ catkin dynamic-graph-python sot-core ];
  nativeBuildInputs = [ cmake ];

  meta = {
    description = "Miscellanous entities for the stack of tasks";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
