
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, geometry-msgs, rospy }:
buildRosPackage {
  pname = "ros-noetic-teleop-twist-keyboard";
  version = "1.0.0-r1";

  src = fetchurl {
    url = "https://github.com/ros-gbp/teleop_twist_keyboard-release/archive/release/noetic/teleop_twist_keyboard/1.0.0-1.tar.gz";
    name = "1.0.0-1.tar.gz";
    sha256 = "1b2851ee341bc46c65c51b2c4063e293d03f15ea95fcd524f02dbb6fc99088de";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ geometry-msgs rospy ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "Generic keyboard teleop for twist robots.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
