
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, pythonPackages, roslaunch, rospy, std-msgs }:
buildRosPackage {
  pname = "ros-noetic-turtlebot3-autorace-core";
  version = "1.1.1-r2";

  src = fetchurl {
    url = "https://github.com/ROBOTIS-GIT-release/turtlebot3_autorace_2020_release/archive/release/noetic/turtlebot3_autorace_core/1.1.1-2.tar.gz";
    name = "1.1.1-2.tar.gz";
    sha256 = "d9bf36bac1fd76e308b7fd9f10c304d07ae8da5ba825d64cec0f631918b861bd";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ pythonPackages.enum34 pythonPackages.numpy roslaunch rospy std-msgs ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "TurtleBot3 AutoRace ROS package that TurtleBot3 Auto's core";
    license = with lib.licenses; [ asl20 ];
  };
}
