
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, turtlebot3-fake, turtlebot3-gazebo }:
buildRosPackage {
  pname = "ros-noetic-turtlebot3-simulations";
  version = "1.3.2-r2";

  src = fetchurl {
    url = "https://github.com/ROBOTIS-GIT-release/turtlebot3_simulations-release/archive/release/noetic/turtlebot3_simulations/1.3.2-2.tar.gz";
    name = "1.3.2-2.tar.gz";
    sha256 = "aa1474452ef725257bb52b83f2bce1284a5cabccdbb070b2b920732c522cc78e";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ turtlebot3-fake turtlebot3-gazebo ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "ROS packages for the turtlebot3 simulation (meta package)";
    license = with lib.licenses; [ asl20 ];
  };
}
