
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, amcl, catkin, dwa-local-planner, global-planner, gmapping, map-server, move-base }:
buildRosPackage {
  pname = "ros-noetic-volta-navigation";
  version = "1.2.0-r1";

  src = fetchurl {
    url = "https://github.com/botsync-gbp/volta-release/archive/release/noetic/volta_navigation/1.2.0-1.tar.gz";
    name = "1.2.0-1.tar.gz";
    sha256 = "d42b673b3a6f6830b05c7e584ff4bd07a166784316544e0598797a46d42d3dd0";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ amcl dwa-local-planner global-planner gmapping map-server move-base ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "The volta_navigation package";
    license = with lib.licenses; [ bsd3 ];
  };
}
