
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, ament-cmake }:
buildRosPackage {
  pname = "ros-rolling-ecl-license";
  version = "1.0.3-r4";

  src = fetchurl {
    url = "https://github.com/ros2-gbp/ecl_tools-release/archive/release/rolling/ecl_license/1.0.3-4.tar.gz";
    name = "1.0.3-4.tar.gz";
    sha256 = "edff87b9a646fae49866b7c05849698be41002d550c33f8bc0ef7cd52dd1479a";
  };

  buildType = "ament_cmake";
  buildInputs = [ ament-cmake ];
  nativeBuildInputs = [ ament-cmake ];

  meta = {
    description = "Maintains the ecl licenses and also provides an install
     target for deploying licenses with the ecl libraries.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
